Bug 459807 - Separate kipi-plugins into sub-packages
Separate kipi-plugins into sub-packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kipi-plugins (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-08-22 11:12 EDT by Douglas E. Warner
Modified: 2009-03-23 08:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 08:35:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas E. Warner 2008-08-22 11:12:32 EDT
Description of problem:
kipi-plugins has a bunch of dependencies due to all the various plugins it supports.  It would be better if these dependencies where spread out amongst subpackages.

I've taken a stab at splitting up the main package into a bunch of subpackages here (this version also includes my docbook id patch from bug#341801):
https://rpm.silfreed.net:8002/file/56c2a7137c42/kipi-plugins/

I don't have all the packages online yet, but they will show up in my repository here soon:
http://www.silfreed.net/download/repo/packages/kipi-plugins/

Repository packages are here:
http://www.silfreed.net/download/repo/packages/silfreednet-release/
Comment 1 Rex Dieter 2008-08-22 11:19:39 EDT
Be careful, spurious pkg splits can be dangerous to your health.

Srsly, what's the problem being solved here?

This won't help much for rawhide, since kipi-plugins will either go away soon, or be replaced with a kde4 version (it's fate is as yet unclear to me).
Comment 2 Douglas E. Warner 2008-08-22 11:37:10 EDT
Personally, I'm trying to be able to install kipi-plugins since I'm using kdepim4 (bug#459703).  But in general, I'm trying to avoid needing pulling in unneeded dependencies since kipi-plugins does have a bunch.  Personally, I typically only need the print wizard plugin and gallery export, so I don't need to pull in ImageMagick, libgphoto, libgpod, etc.

BTW, packages should be starting to show up in that directory above.  Will probably be a little bit till it's fully populated (slow uplink to server).
Comment 3 Steven M. Parrish 2008-08-27 08:59:51 EDT
Rex, whats your take on this.  I'm leaning towards NOTABUG since it sounds more like a wishlist item on a soon to be dead/retired package.
Comment 4 Rex Dieter 2008-08-27 09:13:55 EDT
It's not clear if this is going to EOL or get upgraded with kde4 soon.  When I know, we can make an informed decision.

In the meantime, modifying the kde3 version at this point is mildly useful. 

silfreed, would you be interested in helping to maintain this in fedora?  If so, I'd be likely to go along with your proposed changes, and not so much if not.  Splitting things up like this greatly increases the maintainance burden.
Comment 5 Douglas E. Warner 2008-08-27 09:34:18 EDT
Sure, I'm willing to help co-maintain this package.  I don't think future updates the the package will be very painful; my experience in splitting this package up was that the plugins included were named very sanely therefore future changes/additions should be easily detected when the rpmbuild finds unpackaged or missing files.

I'm not sure the current package provides the best upgrade experience right now; most users upgrading might expect to have all the subpackages installing.  We might need to look into how other packages that have gone the way of "single monolithic to multiple subpackages" have handled this (such as wine or git).
Comment 6 Rex Dieter 2008-08-27 09:45:34 EDT
Cool, drop by on
http://admin.fedoraproject.org/pkgdb/
and add your self as comaintainer to kipi-plugins

Then, we can discuss the implementation details.  My kiss idea, in short, is keep what you've proposed, but continue to have a master/main kipi-plugins pkg that Requires: all the subpkgs.  That should provide the simplest upgrade path.
Comment 7 Douglas E. Warner 2008-08-27 10:02:23 EDT
I've requested to be added to devel, F9, and F8 (and accidentally F7 which I revoked).

I'll work on an updated version that creates a kipi-plugins-libs subpackage and rebase all the requires to that and make the main package a meta-package that requires all the sub-packages.  I'll then post a patch to this bug against the current devel copy.
Comment 8 Rex Dieter 2008-08-27 10:08:21 EDT
Ah, forgot about the shlib, excellent.
Comment 9 Douglas E. Warner 2008-08-27 15:40:51 EDT
I have the shared libraries split from the main package and am making the calendar plugin not build on F10 due to kdepim3-devel not being available.

I'm only running ldconfig on the -libs sub-package as it seems to be the only libs that are in the ld path (AFAICT).

Here's the current spec file; I'll work on pushing this into rawhide and F9 soon (F8 doesn't build due to libkdcraw being tool old):
https://rpm.silfreed.net:8002/file/09c2f717de68/kipi-plugins/
Comment 10 Bug Zapper 2008-11-25 21:50:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Steven M. Parrish 2009-01-10 09:27:38 EST
Ping?
Comment 12 Rex Dieter 2009-01-10 09:57:11 EST
retargetting F11 was wishlist item (admittedly low priority, unless a comaintainer appears to help with the not-insignificant extra work involved).
Comment 13 Douglas E. Warner 2009-01-12 12:12:54 EST
Sorry; I should have pushed this in as soon as I worked up the patch.  It needs some attention now to get updated to the current versions.  I worked on this a bit a week or so ago but hadn't completed it for 2.0.0 beta yet.
Comment 14 Steven M. Parrish 2009-03-21 14:55:28 EDT
Where do we stand on this?
Comment 15 Douglas E. Warner 2009-03-23 08:30:47 EDT
I haven't had time to rebase this to newer kipi-plugins; feel free to resolve as WONTFIX and I'll reopen if I have time to fix it up.
Comment 16 Rex Dieter 2009-03-23 08:35:19 EDT
Thanks, looking forward to hearing from you again. :)

Note You need to log in before you can comment on or make changes to this bug.